#include <iostream>
using namespace std;
int main()
{
    int n,k=3;
    float s=0,p=3;
    cin>>n;
    int a[2][n-1];
    for (int i=0;i<2;i++)
    {
        for (int j=0;j<n-1;j++)
        {
            cin>>a[i][j];
        }
    }
     for (int i=0;i<2;i++)
    {
        for (int j=0;j<n-1;j++)
        {
            s=s+a[i][j];
        }
    }
    for (int i=0;i<n-2;i++)
    {
        p=p+k+2;
        k=k+2;
    }
     if (s==p)
    {

    if (n==3)
        cout<<1;
    else
        cout<<n-3;
    }
    return 0;
}